Trigger Portal Notification Test
POST
/v1/portal/notifications/test
const url = 'https://example.com/v1/portal/notifications/test?tenant_id=';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"title":"FractalOps test notification","body":"Notification center and web push wiring are live.","href":"/","level":"info","source":"portal.notification.test","workflow_id":""}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/v1/portal/notifications/test?tenant_id=' \ --header 'Content-Type: application/json' \ --data '{ "title": "FractalOps test notification", "body": "Notification center and web push wiring are live.", "href": "/", "level": "info", "source": "portal.notification.test", "workflow_id": "" }'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Request Body
Section titled “Request Body”Media typeapplication/json
PortalNotificationTestIn
object
title
Title
string
body
Body
string
href
Href
string
level
Level
string
source
Source
string
workflow_id
Workflow Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalNotificationTestOut
object
ok
Ok
boolean
workflow_id
Workflow Id
string
subscriber_id
Subscriber Id
string
acknowledged
Acknowledged
boolean
transaction_id
Transaction Id
string
Example
{ "ok": false, "workflow_id": "", "subscriber_id": "", "acknowledged": false, "transaction_id": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}